AsteriskNOW RPM issue

A forum for Skype For Asterisk users to ask questions and get advice from other users

Moderators: twilson, pete engler

AsteriskNOW RPM issue

Postby ddougan » Sat Aug 01, 2009 1:11 pm

The AsteriskNOW RPM (32 bit) fails to install with a conflict:

# rpm -Uvh asterisk14-skypeforasterisk-0.9.10-1_centos5.i386.rpm
error: Failed dependencies:
asterisk-gplonly conflicts with asterisk14-skypeforasterisk-0.9.10-1_centos5.i386

However, there is no asterisk-gplonly RPM:

# rpm -qa|grep asterisk
asterisk-sounds-core-en-ulaw-1.4.15-1_centos5
asterisk14-core-1.4.24-2_centos5
asterisk14-voicemail-1.4.24-2_centos5
asterisk14-dahdi-1.4.24-2_centos5
asterisk14-doc-1.4.24-2_centos5
asterisknow-version-1.5.0-1_centos5
asterisk14-addons-core-1.4.8-1_centos5
asterisk-sounds-moh-fpm-ulaw-0.0-3_centos5
asterisk14-1.4.24-2_centos5
asterisk14-addons-ooh323-1.4.8-1_centos5
asterisk14-addons-1.4.8-1_centos5
asterisk-sounds-extra-en-gsm-1.4.9-1_centos5
asterisk14-addons-mysql-1.4.8-1_centos5

I've raised this on Mantis (a couple of days ago). Any feedback welcomed.

Thanks,

Des
ddougan
Newsterisk
 
Posts: 29
Joined: Mon Aug 20, 2007 2:04 pm

rpm issues...

Postby Hyperus » Sat Aug 01, 2009 5:25 pm

fwiw I got mine going on TrixBox (and it works) with the following:-
rpm -i asterisk14-skypeforasterisk-0.9.10-1_centos5.i386.rpm --nodeps

/Hyp
Hyperus
Newsterisk
 
Posts: 5
Joined: Thu Jul 30, 2009 9:36 pm

Postby twilson » Mon Aug 03, 2009 10:19 am

There is a dependency issue with using the addons package and using Digium commercial products. Removing the asterisk-addons package would fix this, or you can try your luck with the --nodeps solution.
twilson
Oldsterisk
 
Posts: 87
Joined: Mon Jun 01, 2009 9:35 am


Return to Skype For Asterisk

Who is online

Users browsing this forum: No registered users and 1 guest